Skip to main content

Get all leases

GEThttps://api.propexo.com/v1/leases/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external lease id

x_property_id string

Deprecated: Use the Propexo property_id instead

x_unit_id string

Deprecated: Use the Propexo unit_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_id string

The Propexo unique identifier for the unit

resident_id string

The Propexo unique identifier for the resident. If you use this filter in conjunction with one of the move-in/move-out date filters, it will not be honored and will be overridden by the date filter.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

before_move_in_date string | null

Filter to residents moving in before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.

after_move_in_date string | null

Filter to residents moving in after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.

before_move_out_date string | null

Filter to residents moving out before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.

after_move_out_date string | null

Filter to residents moving out after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.

only_null_move_outs object

Filter to only return leases where the move-out date is null

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

status_normalized string
Show 5 enum values
ACTIVEINACTIVEOTHERPENDINGEVICTED

The normalized status for the lease

status_raw string

The raw status associated with the lease

unit_number string

The unit number of the lease. When using this, the Propexo property_id filter must be added as well.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the lease

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leases/getLeases
    artransactions/getLeaseArTransactions
    Example: 123456
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    leases/getLeases
    artransactions/getLeaseArTransactions
    Example: property123
    x_resident_idstring | nullnullablerequireddeprecated

    Deprecated. Use residents_meta_data instead

    Method
    leases/getLeases
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    Method
    leases/getLeases
    Example: unit123
    residents_meta_data object[]

    Known associated resident meta data

  • Array [
  • resident_idstringrequired

    The Propexo unique identifier for the resident

    Method
    leases/getLeases
    Example: clxkwuprj000ct3oz8lbye18s
    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    Method
    leases/getLeases
    Example: main
    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    Method
    leases/getLeases
    Example: PRIMARY
    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datestring | nullnullablerequired

    The move-in date associated with the resident

    Method
    leases/getLeases
    Example: 2023-06-15T00:00:00.000Z
    move_out_datestring | nullnullablerequired

    The move-out date associated with the resident

    Method
    leases/getLeases
    Example: 2024-06-15T00:00:00.000Z
    notice_datenullrequired

    The date the resident gave notice

    Notice

    This field will always be null for ENTRATA

    Example: null
    custom_data object | nullrequired
    object
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
  • ]
  • application_datestring | nullnullablerequired

    The application date associated with the lease

    Method
    leases/getLeases
    Example: 2023-06-15T00:00:00.000Z
    custom_data object | nullrequired
    object
    deposit_amountstring | nullnullablerequired

    The deposit amount associated with the lease

    Method
    leases/getLeases
    Example: 500.00
    deposit_amount_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the lease

    Method
    leases/getLeases
    Example: 50000
    deposit_datestring | nullnullablerequired

    The deposit date associated with the lease

    Method
    leases/getLeases
    Example: 2023-06-20T00:00:00.000Z
    end_datestring | nullnullablerequired

    The end date associated with the lease

    Method
    leases/getLeases
    Example: 2024-06-15T00:00:00.000Z
    realized_move_in_datestring | nullnullablerequireddeprecated

    DEPRECATED: Please use residents_meta_data to view resident move in dates

    Method
    leases/getLeases
    realized_move_out_datestring | nullnullablerequireddeprecated

    DEPRECATED: Please use residents_meta_data to view resident move out dates

    Method
    leases/getLeases
    rent_amount_in_centsnumber | nullnullablerequired

    The rent amount in cents for the lease

    Important

    Your customers must configure access to the getArCodes API in order to populate rent amounts for Entrata.

    Method
    leases/getLeases
    Example: 125000
    rent_amount_market_in_centsnullrequired

    The market rent amount in cents for the lease

    Notice

    This field will always be null for ENTRATA

    Example: null
    rent_due_daynullrequired

    The rent due day associated with the lease

    Notice

    This field will always be null for ENTRATA

    Example: null
    rent_due_datenullrequired

    The rent due date associated with the lease

    Notice

    This field will always be null for ENTRATA

    Example: null
    scheduled_move_in_datenullrequireddeprecated

    DEPRECATED: Please use residents_meta_data to view resident move in dates

    Notice

    This field will always be null for ENTRATA

    Example: null
    scheduled_move_out_datenullrequireddeprecated

    DEPRECATED: Please use residents_meta_data to view resident move out dates

    Notice

    This field will always be null for ENTRATA

    Example: null
    signature_datestring | nullnullablerequired

    The date the lease was signed

    Method
    leases/getLeases
    Example: 2023-06-10T00:00:00.000Z
    start_datestring | nullnullablerequired

    The start date associated with the lease

    Method
    leases/getLeases
    Example: 2023-06-15T00:00:00.000Z
    statusstring | nullnullablerequireddeprecated

    DEPRECATED. Use status_normalized

    Important

    Deprecated in favor of status_normalized and status_raw

    Method
    leases/getLeases
    status_normalizedstring | nullnullablerequired

    The normalized status for the lease. Note that the status may be called "EVICTED" but this can also refer to an active resident undergoing a current eviction. This varies per PMS.

    Method
    leases/getLeases
    Show 5 enum values
    ACTIVEINACTIVEOTHERPENDINGEVICTED
    Example: ACTIVE
    status_rawstring | nullnullablerequired

    The raw status associated with the lease

    Method
    leases/getLeases
    Example: active
    termnullrequired

    The lease term

    Notice

    This field will always be null for ENTRATA

    Example: null
    typestring | nullnullablerequired

    The type of lease

    Method
    leases/getLeases
    Example: Residential
    unit_numberstring | nullnullablerequired

    The unit number associated with the lease. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    Method
    leases/getLeases
    Example: 43
    write_off_amount_in_centsnumber | nullnullablerequired

    The write off amount for the lease, in cents

    Important

    Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.

    Method
    artransactions/getLeaseArTransactions
    Example: 105
    write_off_amount_rawstring | nullnullablerequired

    The raw write off amount of the lease from the PMS

    Important

    Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.

    Method
    artransactions/getLeaseArTransactions
    Example: 1.05
    balance_amount_in_centsnumber | nullnullablerequired

    The balance amount for the lease, in cents

    Important

    Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.

    Method
    artransactions/getLeaseArTransactions
    Example: 432280
    balance_amount_rawstring | nullnullablerequired

    The raw balance amount of the lease from the PMS

    Important

    Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.

    Method
    artransactions/getLeaseArTransactions
    Example: 4322.8
    past_due_balance_in_centsnumber | nullnullablerequired

    The past due balance for the lease, in cents

    Important

    Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.

    Method
    artransactions/getLeaseArTransactions
    Example: 432280
    past_due_balance_rawstring | nullnullablerequired

    The raw past due balance of the lease from the PMS

    Important

    Entrata calculates this value based on the window of time queried in their API. By default, Propexo limits this window of time to save you cost. Please contact support for more details or to adjust this parameter.

    Method
    artransactions/getLeaseArTransactions
    Example: 4322.8
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    Method
    leases/getLeases
    Example: clxkwu2m60008t3oza63zbjzp
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
    services object[]required

    List of services related to the lease

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lease service

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    namestringrequired

    The name of the lease service

    Method
    leases/getLeaseDetails
    Example: Funish name option
    lease_idstringrequired

    The Propexo unique identifier for the lease

    Method
    leases/getLeaseDetails
    Example: clxksir9z000e2xozfgbb7nom
  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leases/
curl https://api.propexo.com/v1/leases/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "123456",
"x_property_id": "property123",
"x_unit_id": "unit123",
"residents_meta_data": [
{
"resident_id": "clxkwuprj000ct3oz8lbye18s",
"x_resident_type": "main",
"resident_type_normalized": "PRIMARY",
"move_in_date": "2023-06-15T00:00:00.000Z",
"move_out_date": "2024-06-15T00:00:00.000Z",
"notice_date": null,
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"application_date": "2023-06-15T00:00:00.000Z",
"custom_data": "Unknown Type: object,null",
"deposit_amount": "500.00",
"deposit_amount_in_cents": 50000,
"deposit_date": "2023-06-20T00:00:00.000Z",
"end_date": "2024-06-15T00:00:00.000Z",
"rent_amount_in_cents": 125000,
"rent_amount_market_in_cents": null,
"rent_due_day": null,
"rent_due_date": null,
"signature_date": "2023-06-10T00:00:00.000Z",
"start_date": "2023-06-15T00:00:00.000Z",
"status_normalized": "ACTIVE",
"status_raw": "active",
"term": null,
"type": "Residential",
"unit_number": "43",
"write_off_amount_in_cents": 105,
"write_off_amount_raw": "1.05",
"balance_amount_in_cents": 432280,
"balance_amount_raw": "4322.8",
"past_due_balance_in_cents": 432280,
"past_due_balance_raw": "4322.8",
"unit_id": "clxkwu2m60008t3oza63zbjzp",
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"services": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"name": "Funish name option",
"lease_id": "clxksir9z000e2xozfgbb7nom"
}
]
}
]
}